Skip to main content
GET
/
v1
/
replica
/
{id}
/
hooks
Get Hook Logs
curl --request GET \
  --url https://api.replicas.dev/v1/replica/{id}/hooks \
  --header 'Authorization: Bearer <token>'
{
  "warm_hooks": {
    "logs": [
      {
        "hookType": "global",
        "hookName": "<string>",
        "hookScript": "<string>",
        "output": "<string>",
        "exitCode": 123,
        "timedOut": true,
        "executedAt": "2023-11-07T05:31:56Z"
      }
    ]
  },
  "start_hooks": {
    "logs": [
      {
        "repoName": "<string>",
        "hookCommands": [
          "<string>"
        ],
        "output": "<string>",
        "exitCode": 123,
        "timedOut": true,
        "executedAt": "2023-11-07T05:31:56Z"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the Replicas dashboard under Settings > API Keys.

Path Parameters

id
string<uuid>
required

The unique identifier of the replica

Response

Successful response

Hook execution logs for a replica

warm_hooks
object
required
start_hooks
object
required